package com.qiuguo.iot.data.resp.system;
import com.qiuguo.iot.data.entity.system.SystemAddressEntity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*数据-区域返回类
* @author wulin
* @since 2023-09-26
*/

@Data
public class SystemAddressResp {
    public SystemAddressResp(){
    }
    public SystemAddressResp(SystemAddressEntity entity){
        id = entity.getId();
        createTime = entity.getCreateTime();
        modifyTime = entity.getModifyTime();
        parentId = entity.getParentId();
        adcode = entity.getAdcode();
        padcode = entity.getPadcode();
        first = entity.getFirst();
        shortName = entity.getShortName();
        name = entity.getName();
        adcodeLink = entity.getAdcodeLink();
        nameLink = entity.getNameLink();
        level = entity.getLevel();
        pinyin = entity.getPinyin();
        postcode = entity.getPostcode();
        status = entity.getStatus();
        lng = entity.getLng();
        lat = entity.getLat();
    }

    //ID
    private Long id;
    //
    private Date createTime;
    //
    private Date modifyTime;
    //上级ID
    private Long parentId;
    //adcode
    private Integer adcode;
    //上级 adcode
    private Integer padcode;
    //首字母
    private String first;
    //区域简称
    private String shortName;
    //区域名称
    private String name;
    //
    private String adcodeLink;
    //
    private String nameLink;
    //区域层级
    private Integer level;
    //区域拼音
    private String pinyin;
    //区域邮编
    private String postcode;
    //使用状态
    private Integer status;
    //所在经度
    private String lng;
    //所在纬度
    private String lat;
}